package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartClassifyController"],
        beego.ControllerComments{
            Method: "AddChartClassify",
            Router: `/chart_classify/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartClassifyController"],
        beego.ControllerComments{
            Method: "DeleteChartClassify",
            Router: `/chart_classify/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartClassifyController"],
        beego.ControllerComments{
            Method: "DeleteChartClassifyCheck",
            Router: `/chart_classify/delete/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartClassifyController"],
        beego.ControllerComments{
            Method: "EditChartClassify",
            Router: `/chart_classify/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyItems",
            Router: `/chart_classify/items`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyList",
            Router: `/chart_classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyMove",
            Router: `/chart_classify/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/chart_info/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"],
        beego.ControllerComments{
            Method: "BaseInfoEdit",
            Router: `/chart_info/base/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"],
        beego.ControllerComments{
            Method: "Copy",
            Router: `/chart_info/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/chart_info/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"],
        beego.ControllerComments{
            Method: "DetailFromUniqueCode",
            Router: `/chart_info/detail/from_unique_code`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/chart_info/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"],
        beego.ControllerComments{
            Method: "EnInfoEdit",
            Router: `/chart_info/en/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/chart_info/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"],
        beego.ControllerComments{
            Method: "Move",
            Router: `/chart_info/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"],
        beego.ControllerComments{
            Method: "Newest",
            Router: `/chart_info/newest`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"],
        beego.ControllerComments{
            Method: "Preview",
            Router: `/chart_info/preview`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/chart_info/refresh`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"],
        beego.ControllerComments{
            Method: "SearchByEs",
            Router: `/chart_info/search_by_es`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/chart_info/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "BaseInfoEdit",
            Router: `/chart_info/base/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "Copy",
            Router: `/chart_info/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "DeleteChart",
            Router: `/chart_info/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/chart_info/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/chart_info/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "EnInfoEdit",
            Router: `/chart_info/en/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/chart_info/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "Move",
            Router: `/chart_info/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "Preview",
            Router: `/chart_info/preview`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/chart_info/refresh`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "Relation",
            Router: `/chart_info/relation`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "Save",
            Router: `/chart_info/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "SearchByEs",
            Router: `/chart_info/search_by_es`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ClassifyController"],
        beego.ControllerComments{
            Method: "DeleteChartClassify",
            Router: `/classify/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ClassifyController"],
        beego.ControllerComments{
            Method: "DeleteChartClassifyCheck",
            Router: `/classify/delete/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ClassifyController"],
        beego.ControllerComments{
            Method: "EditChartClassify",
            Router: `/classify/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ClassifyController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyMove",
            Router: `/classify/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/tag/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/tag/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"],
        beego.ControllerComments{
            Method: "DeleteCheck",
            Router: `/tag/delete/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/tag/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/tag/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"],
        beego.ControllerComments{
            Method: "VarietyEdbList",
            Router: `/tag/variety_edb/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"],
        beego.ControllerComments{
            Method: "SaveVarietyEdb",
            Router: `/tag/variety_edb/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:VarietyController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/variety/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:VarietyController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/variety/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:VarietyController"],
        beego.ControllerComments{
            Method: "DeleteCheck",
            Router: `/variety/delete/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:VarietyController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/variety/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:VarietyController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/variety/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"],
        beego.ControllerComments{
            Method: "MoveAllEdbChartUser",
            Router: `/edb_chart/all/change_user`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"],
        beego.ControllerComments{
            Method: "MoveEdbChartUser",
            Router: `/edb_chart/change_user`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"],
        beego.ControllerComments{
            Method: "EdbChartClassifyList",
            Router: `/edb_chart/classify`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"],
        beego.ControllerComments{
            Method: "SetPermissionEdbChartClassifyIsPermission",
            Router: `/edb_chart/classify/permission/is_permission/set`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"],
        beego.ControllerComments{
            Method: "SetEdbChartClassifyPermission",
            Router: `/edb_chart/classify/permission/set`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"],
        beego.ControllerComments{
            Method: "GetEdbChartClassifyPermission",
            Router: `/edb_chart/classify/permission/show_by_user`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"],
        beego.ControllerComments{
            Method: "SecretEdbChartClassifyList",
            Router: `/edb_chart/classify/secret`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"],
        beego.ControllerComments{
            Method: "MoveEdbChartCount",
            Router: `/edb_chart/count`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"],
        beego.ControllerComments{
            Method: "MoveEdbChartList",
            Router: `/edb_chart/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"],
        beego.ControllerComments{
            Method: "GetEdbChartNoPermission",
            Router: `/edb_chart/no_classify_permission/show_by_data`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"],
        beego.ControllerComments{
            Method: "SetEdbChartPermission",
            Router: `/edb_chart/permission/set`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"],
        beego.ControllerComments{
            Method: "GetEdbChartPermission",
            Router: `/edb_chart/permission/show_by_data`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"],
        beego.ControllerComments{
            Method: "MessageDetail",
            Router: `/message/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"],
        beego.ControllerComments{
            Method: "MessageList",
            Router: `/message/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/data_manage_permission:DataMangePermissionController"],
        beego.ControllerComments{
            Method: "MessageRead",
            Router: `/message/read`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"],
        beego.ControllerComments{
            Method: "AddEdb",
            Router: `/edb/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"],
        beego.ControllerComments{
            Method: "EditEdb",
            Router: `/edb/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"],
        beego.ControllerComments{
            Method: "EdbList",
            Router: `/edb/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"],
        beego.ControllerComments{
            Method: "EdbRefresh",
            Router: `/edb/refresh`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"],
        beego.ControllerComments{
            Method: "BaseExcelDetail",
            Router: `/excel/base`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"],
        beego.ControllerComments{
            Method: "ExcelDataList",
            Router: `/excel/data`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"],
        beego.ControllerComments{
            Method: "ExcelByName",
            Router: `/excel_by_name`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"],
        beego.ControllerComments{
            Method: "Save",
            Router: `/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"],
        beego.ControllerComments{
            Method: "AddExcelClassify",
            Router: `/excel_classify/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"],
        beego.ControllerComments{
            Method: "DeleteExcelClassify",
            Router: `/excel_classify/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"],
        beego.ControllerComments{
            Method: "DeleteExcelClassifyCheck",
            Router: `/excel_classify/delete/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"],
        beego.ControllerComments{
            Method: "EditExcelClassify",
            Router: `/excel_classify/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"],
        beego.ControllerComments{
            Method: "ExcelClassifyItems",
            Router: `/excel_classify/items`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/excel_classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"],
        beego.ControllerComments{
            Method: "ExcelClassifyMove",
            Router: `/excel_classify/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/excel_info/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "DeleteBalanceChart",
            Router: `/excel_info/balance/chart_del`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "GetBalanceChartList",
            Router: `/excel_info/balance/chart_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "BalanceVersionList",
            Router: `/excel_info/balance/version`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "GetBaseEdbInfo",
            Router: `/excel_info/base_edb_info`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "GetChildTable",
            Router: `/excel_info/child_table`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "Copy",
            Router: `/excel_info/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/excel_info/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/excel_info/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "AddDraft",
            Router: `/excel_info/draft/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/excel_info/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "GetEdbSource",
            Router: `/excel_info/get_edb_source`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "GetSystemDate",
            Router: `/excel_info/get_system_date`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/excel_info/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "MarkEditStatus",
            Router: `/excel_info/mark`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "CalculateData",
            Router: `/excel_info/mixed/calculate`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "GetMixDateCalculate",
            Router: `/excel_info/mixed/date_calculate`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "Move",
            Router: `/excel_info/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "BatchRefresh",
            Router: `/excel_info/table/batch_refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "GetBatchChartRefreshResult",
            Router: `/excel_info/table/batch_refresh/result`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "Calculate",
            Router: `/excel_info/table/calculate`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "Download",
            Router: `/excel_info/table/download`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "GetFirstEdbData",
            Router: `/excel_info/table/first_edb_data_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "GetFutureDateData",
            Router: `/excel_info/table/future_date_list`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "GetHistoryDateData",
            Router: `/excel_info/table/history_date_list`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "GetOtherEdbData",
            Router: `/excel_info/table/other_edb_data_list`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/excel_info/table/refresh`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "GetExcelTableData",
            Router: `/excel_info/table_data`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartClassifyController"],
        beego.ControllerComments{
            Method: "AddChartClassify",
            Router: `/chart_classify/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartClassifyController"],
        beego.ControllerComments{
            Method: "DeleteChartClassify",
            Router: `/chart_classify/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartClassifyController"],
        beego.ControllerComments{
            Method: "DeleteChartClassifyCheck",
            Router: `/chart_classify/delete/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartClassifyController"],
        beego.ControllerComments{
            Method: "EditChartClassify",
            Router: `/chart_classify/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyItems",
            Router: `/chart_classify/items`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyList",
            Router: `/chart_classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyMove",
            Router: `/chart_classify/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoAdd",
            Router: `/chart_info/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "BaseInfoEdit",
            Router: `/chart_info/base/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoBase64Upload",
            Router: `/chart_info/base64Upload`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "BaseChartInfoDetailFromUniqueCode",
            Router: `/chart_info/base_detail/from_unique_code`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "CopyChartInfo",
            Router: `/chart_info/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoDetail",
            Router: `/chart_info/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoDetailFromUniqueCode",
            Router: `/chart_info/detail/from_unique_code`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoEdbInfoDetail",
            Router: `/chart_info/edb_info/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoEdbInfoSearch",
            Router: `/chart_info/edb_info/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoEdit",
            Router: `/chart_info/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "ChartEnInfoEdit",
            Router: `/chart_info/en/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoImageSet",
            Router: `/chart_info/image/set`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "ChartList",
            Router: `/chart_info/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoMove",
            Router: `/chart_info/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoNewest",
            Router: `/chart_info/newest`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "PreviewBarChartInfo",
            Router: `/chart_info/preview_bar`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "ProfitChartInfoAdd",
            Router: `/chart_info/profit/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "ProfitChartInfoEdit",
            Router: `/chart_info/profit/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "PreviewProfitChartInfo",
            Router: `/chart_info/profit/preview`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoRefresh",
            Router: `/chart_info/refresh`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoSave",
            Router: `/chart_info/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoSearchByEs",
            Router: `/chart_info/search_by_es`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartClassifyController"],
        beego.ControllerComments{
            Method: "AddChartClassify",
            Router: `/chart_classify/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartClassifyController"],
        beego.ControllerComments{
            Method: "DeleteChartClassify",
            Router: `/chart_classify/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartClassifyController"],
        beego.ControllerComments{
            Method: "DeleteChartClassifyCheck",
            Router: `/chart_classify/delete/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartClassifyController"],
        beego.ControllerComments{
            Method: "EditChartClassify",
            Router: `/chart_classify/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyItems",
            Router: `/chart_classify/items`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyList",
            Router: `/chart_classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyMove",
            Router: `/chart_classify/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"],
        beego.ControllerComments{
            Method: "BaseInfoEdit",
            Router: `/chart_info/base/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"],
        beego.ControllerComments{
            Method: "Copy",
            Router: `/chart_info/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/chart_info/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"],
        beego.ControllerComments{
            Method: "DetailFromUniqueCode",
            Router: `/chart_info/detail/from_unique_code`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"],
        beego.ControllerComments{
            Method: "EnInfoEdit",
            Router: `/chart_info/en/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/chart_info/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"],
        beego.ControllerComments{
            Method: "Move",
            Router: `/chart_info/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"],
        beego.ControllerComments{
            Method: "Preview",
            Router: `/chart_info/preview`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/chart_info/refresh`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"],
        beego.ControllerComments{
            Method: "Save",
            Router: `/chart_info/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"],
        beego.ControllerComments{
            Method: "SearchByEs",
            Router: `/chart_info/search_by_es`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"],
        beego.ControllerComments{
            Method: "GetMultipleGraphConfig",
            Router: `/multiple_graph/config/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartClassifyController"],
        beego.ControllerComments{
            Method: "AddChartClassify",
            Router: `/chart_classify/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartClassifyController"],
        beego.ControllerComments{
            Method: "DeleteChartClassify",
            Router: `/chart_classify/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartClassifyController"],
        beego.ControllerComments{
            Method: "DeleteChartClassifyCheck",
            Router: `/chart_classify/delete/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartClassifyController"],
        beego.ControllerComments{
            Method: "EditChartClassify",
            Router: `/chart_classify/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyItems",
            Router: `/chart_classify/items`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyList",
            Router: `/chart_classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyMove",
            Router: `/chart_classify/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"],
        beego.ControllerComments{
            Method: "MultipleGraphConfigSaveChart",
            Router: `/chart/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"],
        beego.ControllerComments{
            Method: "BaseInfoEdit",
            Router: `/chart_info/base/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"],
        beego.ControllerComments{
            Method: "Copy",
            Router: `/chart_info/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/chart_info/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"],
        beego.ControllerComments{
            Method: "DetailFromUniqueCode",
            Router: `/chart_info/detail/from_unique_code`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"],
        beego.ControllerComments{
            Method: "EnInfoEdit",
            Router: `/chart_info/en/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/chart_info/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"],
        beego.ControllerComments{
            Method: "Move",
            Router: `/chart_info/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/chart_info/refresh`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"],
        beego.ControllerComments{
            Method: "SearchByEs",
            Router: `/chart_info/search_by_es`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"],
        beego.ControllerComments{
            Method: "GetMultipleGraphConfig",
            Router: `/config/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"],
        beego.ControllerComments{
            Method: "MultipleGraphConfigSave",
            Router: `/config/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"],
        beego.ControllerComments{
            Method: "MultipleGraphConfigSaveEdb",
            Router: `/edb/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"],
        beego.ControllerComments{
            Method: "MultipleGraphPreview",
            Router: `/preview`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"],
        beego.ControllerComments{
            Method: "MultipleGraphPreviewCurve",
            Router: `/preview_cure`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartChartInfoController"],
        beego.ControllerComments{
            Method: "BaseInfoEdit",
            Router: `/chart_info/base/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartChartInfoController"],
        beego.ControllerComments{
            Method: "Copy",
            Router: `/chart_info/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartChartInfoController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/chart_info/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartChartInfoController"],
        beego.ControllerComments{
            Method: "DetailFromUniqueCode",
            Router: `/chart_info/detail/from_unique_code`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartChartInfoController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/chart_info/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartChartInfoController"],
        beego.ControllerComments{
            Method: "Preview",
            Router: `/chart_info/preview`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartChartInfoController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/chart_info/refresh`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoSave",
            Router: `/chart_info/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartClassifyController"],
        beego.ControllerComments{
            Method: "AddChartClassify",
            Router: `/chart_classify/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartClassifyController"],
        beego.ControllerComments{
            Method: "DeleteChartClassify",
            Router: `/chart_classify/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartClassifyController"],
        beego.ControllerComments{
            Method: "DeleteChartClassifyCheck",
            Router: `/chart_classify/delete/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartClassifyController"],
        beego.ControllerComments{
            Method: "EditChartClassify",
            Router: `/chart_classify/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyItems",
            Router: `/chart_classify/items`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyList",
            Router: `/chart_classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/range_analysis:RangeChartClassifyController"],
        beego.ControllerComments{
            Method: "ClassifyTree",
            Router: `/chart_classify/tree`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/variety/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"],
        beego.ControllerComments{
            Method: "Analysis",
            Router: `/variety/analysis`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"],
        beego.ControllerComments{
            Method: "EdbDataExport",
            Router: `/variety/data/export`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/variety/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"],
        beego.ControllerComments{
            Method: "DeleteCheck",
            Router: `/variety/delete/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/variety/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"],
        beego.ControllerComments{
            Method: "AddToEdb",
            Router: `/variety/edb/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"],
        beego.ControllerComments{
            Method: "EdbDataList",
            Router: `/variety/edb/data/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"],
        beego.ControllerComments{
            Method: "EdbDataListV2",
            Router: `/variety/edb/data/list/v2`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"],
        beego.ControllerComments{
            Method: "EdbInfoDataSeasonal",
            Router: `/variety/edb/data/seasonal`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"],
        beego.ControllerComments{
            Method: "EdbInfoDataTb",
            Router: `/variety/edb/data/tb`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"],
        beego.ControllerComments{
            Method: "EdbList",
            Router: `/variety/edb/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/variety/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/variety/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"],
        beego.ControllerComments{
            Method: "AddPlant",
            Router: `/variety/plant/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"],
        beego.ControllerComments{
            Method: "CopyPlant",
            Router: `/variety/plant/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"],
        beego.ControllerComments{
            Method: "DeletePlant",
            Router: `/variety/plant/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"],
        beego.ControllerComments{
            Method: "EditPlant",
            Router: `/variety/plant/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"],
        beego.ControllerComments{
            Method: "PlantList",
            Router: `/variety/plant/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/supply_analysis:VarietyController"],
        beego.ControllerComments{
            Method: "ModifyProductionDay",
            Router: `/variety/production_day/modify`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"],
        beego.ControllerComments{
            Method: "AddChartClassify",
            Router: `/chart_classify/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyChartListV2",
            Router: `/chart_classify/chart/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"],
        beego.ControllerComments{
            Method: "DeleteChartClassify",
            Router: `/chart_classify/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"],
        beego.ControllerComments{
            Method: "DeleteChartClassifyCheck",
            Router: `/chart_classify/delete/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"],
        beego.ControllerComments{
            Method: "EditChartClassify",
            Router: `/chart_classify/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyItems",
            Router: `/chart_classify/items`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyListV2",
            Router: `/chart_classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyMove",
            Router: `/chart_classify/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoAdd",
            Router: `/chart_info/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoBaseEdit",
            Router: `/chart_info/base/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoBase64Upload",
            Router: `/chart_info/base64Upload`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "CommonChartInfoDetailFromUniqueCode",
            Router: `/chart_info/common/detail/from_unique_code`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoConvertDetail",
            Router: `/chart_info/convert/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "CopyChartInfo",
            Router: `/chart_info/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoDetail",
            Router: `/chart_info/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoDetailFromUniqueCode",
            Router: `/chart_info/detail/from_unique_code`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "PreviewChartInfoDetail",
            Router: `/chart_info/detail/preview`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoDetailV2",
            Router: `/chart_info/detail/v2`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoEdbInfoDetail",
            Router: `/chart_info/edb_info/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoEdbInfoSearch",
            Router: `/chart_info/edb_info/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoEdit",
            Router: `/chart_info/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartEnInfoEdit",
            Router: `/chart_info/en/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoImageSet",
            Router: `/chart_info/image/set`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoMove",
            Router: `/chart_info/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoNewest",
            Router: `/chart_info/newest`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "PreviewRadarChartInfo",
            Router: `/chart_info/preview/radar`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "PreviewSectionCombineChartInfo",
            Router: `/chart_info/preview/section_combine`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "PreviewSectionScatterChartInfo",
            Router: `/chart_info/preview/time_section`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "PreviewBarChartInfo",
            Router: `/chart_info/preview_bar`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoSave",
            Router: `/chart_info/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoSearch",
            Router: `/chart_info/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoSearchByEs",
            Router: `/chart_info/search_by_es`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "GetChartTypeList",
            Router: `/chart_info/type_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "SaveAdjustEdbInfo",
            Router: `/edb_info/adjust/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "CalculateBatchEdit",
            Router: `/edb_info/calculate/batch/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "BatchCalculateBatchEdit",
            Router: `/edb_info/calculate/batch/edit/batch`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "CalculateBatchReset",
            Router: `/edb_info/calculate/batch/reset`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "CalculateBatchSave",
            Router: `/edb_info/calculate/batch/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "BatchCalculateBatchSave",
            Router: `/edb_info/calculate/batch/save/batch`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "CalculateComputeCorrelation",
            Router: `/edb_info/calculate/compute_correlation`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "CalculateDetail",
            Router: `/edb_info/calculate/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "CalculateEdit",
            Router: `/edb_info/calculate/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "CalculateMapping",
            Router: `/edb_info/calculate/mapping`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "CalculateMultiChoice",
            Router: `/edb_info/calculate/multi/choice`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "CalculateMultiSearch",
            Router: `/edb_info/calculate/multi/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "CalculateSave",
            Router: `/edb_info/calculate/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoData",
            Router: `/edb_info/data`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoDataSeasonal",
            Router: `/edb_info/data/seasonal`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoDataTb",
            Router: `/edb_info/data/tb`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "AddPythonEdb",
            Router: `/edb_info/python/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "GetPythonEdbCode",
            Router: `/edb_info/python/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "EditPythonEdb",
            Router: `/edb_info/python/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ExecPythonCode",
            Router: `/edb_info/python/exec`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoReplace",
            Router: `/edb_info/replace`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartThemeController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartThemeController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/chart/theme/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartThemeController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartThemeController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/chart/theme/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartThemeController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartThemeController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/chart/theme/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartThemeController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartThemeController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/chart/theme/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartThemeController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartThemeController"],
        beego.ControllerComments{
            Method: "ListBySource",
            Router: `/chart/theme/list_by_source`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartThemeController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartThemeController"],
        beego.ControllerComments{
            Method: "GetThemePreviewData",
            Router: `/chart/theme/preview_data`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartThemeController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartThemeController"],
        beego.ControllerComments{
            Method: "SetDefaultTheme",
            Router: `/chart/theme/set_default`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartThemeController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartThemeController"],
        beego.ControllerComments{
            Method: "TypeList",
            Router: `/chart/theme/type/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartThemeController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartThemeController"],
        beego.ControllerComments{
            Method: "TypeListBySource",
            Router: `/chart/theme/type/list_by_source`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"],
        beego.ControllerComments{
            Method: "AddEdbClassify",
            Router: `/classify/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"],
        beego.ControllerComments{
            Method: "DeleteEdbClassify",
            Router: `/classify/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"],
        beego.ControllerComments{
            Method: "DeleteEdbClassifyCheck",
            Router: `/classify/delete/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"],
        beego.ControllerComments{
            Method: "ClassifyEdbInfoList",
            Router: `/classify/edb_info/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"],
        beego.ControllerComments{
            Method: "EditEdbClassify",
            Router: `/classify/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"],
        beego.ControllerComments{
            Method: "Items",
            Router: `/classify/items`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"],
        beego.ControllerComments{
            Method: "ItemsV2",
            Router: `/classify/items/v2`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"],
        beego.ControllerComments{
            Method: "ItemsV3",
            Router: `/classify/items/v3`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"],
        beego.ControllerComments{
            Method: "ListV2",
            Router: `/classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"],
        beego.ControllerComments{
            Method: "SimpleList",
            Router: `/classify/simple`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"],
        beego.ControllerComments{
            Method: "ClassifyTree",
            Router: `/classify/tree`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"],
        beego.ControllerComments{
            Method: "EdbClassifyMove",
            Router: `/edb_classify/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "BatchChartInfoRefresh",
            Router: `/chart_info/batch_refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "GetBatchChartRefreshResult",
            Router: `/chart_info/batch_refresh/result`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoRefresh",
            Router: `/chart_info/refresh`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbChartAdminList",
            Router: `/edb_chart/adminList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "QueryEdbDataTable",
            Router: `/edb_data/table/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoAdd",
            Router: `/edb_info/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoBaseEdit",
            Router: `/edb_info/base/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoBatchAdd",
            Router: `/edb_info/batch/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbChartList",
            Router: `/edb_info/chart/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "GetEdbDateData",
            Router: `/edb_info/date_data`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "GetEdbBeforeAndAfterDateData",
            Router: `/edb_info/date_data/before_after`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoDetail",
            Router: `/edb_info/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoEdit",
            Router: `/edb_info/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbEnInfoEdit",
            Router: `/edb_info/en/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoExistCheck",
            Router: `/edb_info/exist/check`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoFilter",
            Router: `/edb_info/filter`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoFilterByEs",
            Router: `/edb_info/filter_by_es`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "AllEdbInfoByEs",
            Router: `/edb_info/filter_by_es/all`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "ChartImageSet",
            Router: `/edb_info/image/set`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "SetEdbDataInsertConfig",
            Router: `/edb_info/insert_config/set`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoList",
            Router: `/edb_info/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "Modify",
            Router: `/edb_info/modify`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoMove",
            Router: `/edb_info/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoNewest",
            Router: `/edb_info/newest`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoRefresh",
            Router: `/edb_info/refresh`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoAllRefresh",
            Router: `/edb_info/refresh/all`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "RelationChartList",
            Router: `/edb_info/relation/chart_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "RelationEdbList",
            Router: `/edb_info/relation/edbinfo_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoReplaceCheck",
            Router: `/edb_info/replace/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoSearch",
            Router: `/edb_info/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "SmmEdbInfoBatchAdd",
            Router: `/edb_info/smm/batch/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "SmmExistCheck",
            Router: `/edb_info/smm/exist/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoSmmSearch",
            Router: `/edb_info/smm/search`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "TraceEdbInfo",
            Router: `/edb_info/trace`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbSourceList",
            Router: `/edb_source/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbSourceListByPython",
            Router: `/edb_source/list/python`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ManualController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ManualController"],
        beego.ControllerComments{
            Method: "ManualSysUserSearch",
            Router: `/manual/sysuser/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "MyChartAdd",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "MyChartAddToClassify",
            Router: `/add_to_classify`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "ChartList",
            Router: `/chart/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "Locate",
            Router: `/chart/locate`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "ChartRecommendList",
            Router: `/chart/recommend/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "ClassifyAdd",
            Router: `/classify/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "CompanyPublicClassifyList",
            Router: `/classify/company_public_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "CopyClassifyAndChart",
            Router: `/classify/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "ClassifyDelete",
            Router: `/classify/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "ClassifyEdit",
            Router: `/classify/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "ClassifyFrameworkNodeList",
            Router: `/classify/framework_node_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "ClassifyList",
            Router: `/classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "ModifyClassifyCompanyPublicStatus",
            Router: `/classify/modify_company_public`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "ModifyClassifyPublicStatus",
            Router: `/classify/modify_public`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "ClassifyMove",
            Router: `/classify/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "PublicClassifyList",
            Router: `/classify/public_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "MyChartDelete",
            Router: `/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "MyChartEdit",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "GetMyChartClassifyIdList",
            Router: `/get_mychart_classify_id_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "MyChartList",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "MyChartMove",
            Router: `/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "MyChartSearch",
            Router: `/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "MyChartSearchByEs",
            Router: `/search_by_es`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbClassifyController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/predict_classify/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbClassifyController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/predict_classify/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbClassifyController"],
        beego.ControllerComments{
            Method: "DeleteCheck",
            Router: `/predict_classify/delete/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbClassifyController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/predict_classify/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbClassifyController"],
        beego.ControllerComments{
            Method: "Items",
            Router: `/predict_classify/items`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbClassifyController"],
        beego.ControllerComments{
            Method: "Move",
            Router: `/predict_classify/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbClassifyController"],
        beego.ControllerComments{
            Method: "SimpleList",
            Router: `/predict_classify/simple`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbClassifyController"],
        beego.ControllerComments{
            Method: "ClassifyTree",
            Router: `/predict_classify/tree`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/predict_edb_info/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"],
        beego.ControllerComments{
            Method: "ChartDataList",
            Router: `/predict_edb_info/chart/data/list`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"],
        beego.ControllerComments{
            Method: "EdbChartList",
            Router: `/predict_edb_info/chart/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"],
        beego.ControllerComments{
            Method: "DataList",
            Router: `/predict_edb_info/data`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/predict_edb_info/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/predict_edb_info/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"],
        beego.ControllerComments{
            Method: "FilterByEs",
            Router: `/predict_edb_info/filter_by_es`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"],
        beego.ControllerComments{
            Method: "ChartImageSet",
            Router: `/predict_edb_info/image/set`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"],
        beego.ControllerComments{
            Method: "ClassifyEdbInfoItems",
            Router: `/predict_edb_info/items`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/predict_edb_info/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"],
        beego.ControllerComments{
            Method: "Modify",
            Router: `/predict_edb_info/modify`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"],
        beego.ControllerComments{
            Method: "Move",
            Router: `/predict_edb_info/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/predict_edb_info/refresh`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"],
        beego.ControllerComments{
            Method: "RefreshAll",
            Router: `/predict_edb_info/refresh/all`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"],
        beego.ControllerComments{
            Method: "PredictRuleCalculateByNine",
            Router: `/predict_edb_info/rule/calculate_by_nine`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_source:DataSourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_source:DataSourceController"],
        beego.ControllerComments{
            Method: "GfexClassifyList",
            Router: `/gfex/classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_source:DataSourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_source:DataSourceController"],
        beego.ControllerComments{
            Method: "GfexContract",
            Router: `/gfex/contract`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_source:DataSourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_source:DataSourceController"],
        beego.ControllerComments{
            Method: "GfexIndexDetail",
            Router: `/gfex/index/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_source:DataSourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_source:DataSourceController"],
        beego.ControllerComments{
            Method: "ExportGfexIndexDetail",
            Router: `/gfex/index/detail/export`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_source:DataSourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_source:DataSourceController"],
        beego.ControllerComments{
            Method: "GfexIndexData",
            Router: `/gfex/index_data`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_source:DataSourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_source:DataSourceController"],
        beego.ControllerComments{
            Method: "GfexMaxDate",
            Router: `/gfex/max/date`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_source:DataSourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_source:DataSourceController"],
        beego.ControllerComments{
            Method: "IcpiClassifyList",
            Router: `/icpi/classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_source:DataSourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_source:DataSourceController"],
        beego.ControllerComments{
            Method: "ExportIcpiDataList",
            Router: `/icpi/export/icpiDataList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_source:DataSourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_source:DataSourceController"],
        beego.ControllerComments{
            Method: "IcpiData",
            Router: `/icpi/index/data`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_stat:EdbSourceStatController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_stat:EdbSourceStatController"],
        beego.ControllerComments{
            Method: "EdbDeleteLog",
            Router: `/edb_delete_log`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_stat:EdbSourceStatController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_stat:EdbSourceStatController"],
        beego.ControllerComments{
            Method: "EdbUpdateLog",
            Router: `/edb_update_log`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_stat:EdbSourceStatController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_stat:EdbSourceStatController"],
        beego.ControllerComments{
            Method: "EdbUpdateStat",
            Router: `/edb_update_stat`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_stat:EdbSourceStatController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_stat:EdbSourceStatController"],
        beego.ControllerComments{
            Method: "EdbUpdateFailedList",
            Router: `/edb_update_stat/failed`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_stat:EdbSourceStatController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_stat:EdbSourceStatController"],
        beego.ControllerComments{
            Method: "EdbUpdateFailedDetailList",
            Router: `/edb_update_stat/failed/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_stat:EdbSourceStatController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_stat:EdbSourceStatController"],
        beego.ControllerComments{
            Method: "Column",
            Router: `/source_column`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_stat:EdbSourceStatController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_stat:EdbSourceStatController"],
        beego.ControllerComments{
            Method: "EditColumn",
            Router: `/source_column/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_stat:EdbSourceStatController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_stat:EdbSourceStatController"],
        beego.ControllerComments{
            Method: "EdbSourceStat",
            Router: `/source_stat`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_stat:EdbTerminalController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_stat:EdbTerminalController"],
        beego.ControllerComments{
            Method: "TerminalCodeList",
            Router: `/terminal/code`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_stat:EdbTerminalController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_stat:EdbTerminalController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/terminal/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_stat:EdbTerminalController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_stat:EdbTerminalController"],
        beego.ControllerComments{
            Method: "Save",
            Router: `/terminal/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_stat:EdbTerminalController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_stat:EdbTerminalController"],
        beego.ControllerComments{
            Method: "SetStatus",
            Router: `/terminal/status/set`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/document_manage:DocumentManageController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/document_manage:DocumentManageController"],
        beego.ControllerComments{
            Method: "DocumentClassifyList",
            Router: `/document/classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/document_manage:DocumentManageController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/document_manage:DocumentManageController"],
        beego.ControllerComments{
            Method: "DocumentCollectClassify",
            Router: `/document/collect/classify`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/document_manage:DocumentManageController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/document_manage:DocumentManageController"],
        beego.ControllerComments{
            Method: "DocumentDelete",
            Router: `/document/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/document_manage:DocumentManageController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/document_manage:DocumentManageController"],
        beego.ControllerComments{
            Method: "DocumentDetail",
            Router: `/document/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/document_manage:DocumentManageController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/document_manage:DocumentManageController"],
        beego.ControllerComments{
            Method: "DocumentReportList",
            Router: `/document/report/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/document_manage:DocumentManageController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/document_manage:DocumentManageController"],
        beego.ControllerComments{
            Method: "DocumentRuiSiDetail",
            Router: `/document/rui/si/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/document_manage:DocumentManageController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/document_manage:DocumentManageController"],
        beego.ControllerComments{
            Method: "RuiSiReportList",
            Router: `/document/rui/si/report/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/document_manage:DocumentManageController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/document_manage:DocumentManageController"],
        beego.ControllerComments{
            Method: "DocumentSave",
            Router: `/document/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/document_manage:DocumentManageController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/document_manage:DocumentManageController"],
        beego.ControllerComments{
            Method: "DocumentUpdate",
            Router: `/document/update`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/document_manage:DocumentManageController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/document_manage:DocumentManageController"],
        beego.ControllerComments{
            Method: "DocumentVarietyList",
            Router: `/document/variety/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnPermissionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnPermissionController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishClassifyController"],
        beego.ControllerComments{
            Method: "PermissionEdit",
            Router: `/permission/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishCompanyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishCompanyController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/company/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "CancelApprove",
            Router: `/approve/cancel`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "SubmitApprove",
            Router: `/approve/submit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "Author",
            Router: `/author`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "AddClassify",
            Router: `/classify/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "DelClassify",
            Router: `/classify/delete`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "EditClassify",
            Router: `/classify/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "SetEnabled",
            Router: `/classify/enabled/set`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "FistListClassify",
            Router: `/classify/first/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "ListClassify",
            Router: `/classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "MoveClassify",
            Router: `/classify/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "ClassifyIdDetail",
            Router: `/classifyIdDetail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "EditPolicy",
            Router: `/edit_policy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "ListReport",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "MarkEditStatus",
            Router: `/mark`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "PrePublishReport",
            Router: `/pre_publish`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "PublishReport",
            Router: `/publish`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "PublishCancleReport",
            Router: `/publish/cancel`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "SaveReportContent",
            Router: `/saveReportContent`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportEmailController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportEmailController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/email/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportEmailController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportEmailController"],
        beego.ControllerComments{
            Method: "LogList",
            Router: `/email/log_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportEmailController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportEmailController"],
        beego.ControllerComments{
            Method: "Resend",
            Router: `/email/resend`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportEmailController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportEmailController"],
        beego.ControllerComments{
            Method: "Send",
            Router: `/email/send`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/eta_trial:EtaTrialController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/eta_trial:EtaTrialController"],
        beego.ControllerComments{
            Method: "QuestionnaireCommit",
            Router: `/questionnaire/commit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/eta_trial:EtaTrialController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/eta_trial:EtaTrialController"],
        beego.ControllerComments{
            Method: "QuestionnairePopUp",
            Router: `/questionnaire/popup`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/eta_trial:EtaTrialController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/eta_trial:EtaTrialController"],
        beego.ControllerComments{
            Method: "UpdateActiveTime",
            Router: `/user/active`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/eta_trial:EtaTrialController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/eta_trial:EtaTrialController"],
        beego.ControllerComments{
            Method: "UpdateLoginDuration",
            Router: `/user/login_duration`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/report_approve:ReportApproveController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/report_approve:ReportApproveController"],
        beego.ControllerComments{
            Method: "CheckApproveOpen",
            Router: `/classify/check_open`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/report_approve:ReportApproveFlowController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/report_approve:ReportApproveFlowController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/flow/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/report_approve:ReportApproveFlowController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/report_approve:ReportApproveFlowController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/flow/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/report_approve:ReportApproveFlowController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/report_approve:ReportApproveFlowController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/flow/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/report_approve:ReportApproveFlowController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/report_approve:ReportApproveFlowController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/flow/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/report_approve:ReportApproveFlowController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/report_approve:ReportApproveFlowController"],
        beego.ControllerComments{
            Method: "Remove",
            Router: `/flow/remove`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/report_approve:ReportApproveFlowController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/report_approve:ReportApproveFlowController"],
        beego.ControllerComments{
            Method: "ReportClassifyTree",
            Router: `/report/classify_tree`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/roadshow:CalendarController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/roadshow:CalendarController"],
        beego.ControllerComments{
            Method: "ResearcherList",
            Router: `/researcher/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/sandbox:SandboxController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/sandbox:SandboxController"],
        beego.ControllerComments{
            Method: "ListByQuote",
            Router: `/list_by_quote`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/semantic_analysis:SaCompareController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/semantic_analysis:SaCompareController"],
        beego.ControllerComments{
            Method: "Search",
            Router: `/compare/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"],
        beego.ControllerComments{
            Method: "CancelApprove",
            Router: `/approve/cancel`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"],
        beego.ControllerComments{
            Method: "SubmitApprove",
            Router: `/approve/submit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"],
        beego.ControllerComments{
            Method: "DetailImg",
            Router: `/detail_img`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"],
        beego.ControllerComments{
            Method: "LastPublishedReport",
            Router: `/last_published_report`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"],
        beego.ControllerComments{
            Method: "MarkEditStatus",
            Router: `/mark_edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"],
        beego.ControllerComments{
            Method: "PrePublish",
            Router: `/pre_publish`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"],
        beego.ControllerComments{
            Method: "Publish",
            Router: `/publish`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"],
        beego.ControllerComments{
            Method: "Remove",
            Router: `/remove`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"],
        beego.ControllerComments{
            Method: "SaveContent",
            Router: `/save_content`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"],
        beego.ControllerComments{
            Method: "SendMsg",
            Router: `/send_msg`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportController"],
        beego.ControllerComments{
            Method: "VoiceUpload",
            Router: `/voice_upload`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportResourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportResourceController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/resource/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportResourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportResourceController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/resource/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportResourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportResourceController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/resource/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportResourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/smart_report:SmartReportResourceController"],
        beego.ControllerComments{
            Method: "Remove",
            Router: `/resource/remove`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionCommonController"],
        beego.ControllerComments{
            Method: "RecTaskCallback",
            Router: `/rec_task/callback`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionController"],
        beego.ControllerComments{
            Method: "Convert",
            Router: `/convert`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionController"],
        beego.ControllerComments{
            Method: "CheckFileName",
            Router: `/convert/check_name`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionController"],
        beego.ControllerComments{
            Method: "ConvertList",
            Router: `/convert_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionController"],
        beego.ControllerComments{
            Method: "Export",
            Router: `/export`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionController"],
        beego.ControllerComments{
            Method: "Remove",
            Router: `/remove`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionController"],
        beego.ControllerComments{
            Method: "RemoveFile",
            Router: `/remove_file`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionController"],
        beego.ControllerComments{
            Method: "Rename",
            Router: `/rename`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionController"],
        beego.ControllerComments{
            Method: "Save",
            Router: `/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionController"],
        beego.ControllerComments{
            Method: "SaveTag",
            Router: `/save_tag`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionMenuController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionMenuController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/menu/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionMenuController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionMenuController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/menu/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionMenuController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionMenuController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/menu/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionMenuController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionMenuController"],
        beego.ControllerComments{
            Method: "Move",
            Router: `/menu/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionMenuController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionMenuController"],
        beego.ControllerComments{
            Method: "Remove",
            Router: `/menu/remove`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionMenuController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionMenuController"],
        beego.ControllerComments{
            Method: "RemoveCheck",
            Router: `/menu/remove_check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionMenuController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionMenuController"],
        beego.ControllerComments{
            Method: "Tree",
            Router: `/menu/tree`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionTagController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionTagController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/tag/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionTagController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionTagController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/tag/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionTagController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionTagController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/tag/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionTagController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionTagController"],
        beego.ControllerComments{
            Method: "Remove",
            Router: `/tag/remove`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionTagController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionTagController"],
        beego.ControllerComments{
            Method: "RemoveCheck",
            Router: `/tag/remove_check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionTagMenuController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionTagMenuController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/tag/menu/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionTagMenuController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionTagMenuController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/tag/menu/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionTagMenuController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionTagMenuController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/tag/menu/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionTagMenuController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionTagMenuController"],
        beego.ControllerComments{
            Method: "Move",
            Router: `/tag/menu/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionTagMenuController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionTagMenuController"],
        beego.ControllerComments{
            Method: "Remove",
            Router: `/tag/menu/remove`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionTagMenuController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionTagMenuController"],
        beego.ControllerComments{
            Method: "RemoveCheck",
            Router: `/tag/menu/remove_check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionTagMenuController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/speech_recognition:SpeechRecognitionTagMenuController"],
        beego.ControllerComments{
            Method: "Tree",
            Router: `/tag/menu/tree`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/trade_analysis:TradeAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/trade_analysis:TradeAnalysisController"],
        beego.ControllerComments{
            Method: "GetClassifyName",
            Router: `/classify`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/trade_analysis:TradeAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/trade_analysis:TradeAnalysisController"],
        beego.ControllerComments{
            Method: "GetPositionTop",
            Router: `/top`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:BannerController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:BannerController"],
        beego.ControllerComments{
            Method: "Upload",
            Router: `/upload`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:BusinessConfController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:BusinessConfController"],
        beego.ControllerComments{
            Method: "Fetch",
            Router: `/fetch`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:BusinessConfOpenController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:BusinessConfOpenController"],
        beego.ControllerComments{
            Method: "CodeEncrypt",
            Router: `/code_encrypt`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ChartPermissionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ChartPermissionController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ChartPermissionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ChartPermissionController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ChartPermissionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ChartPermissionController"],
        beego.ControllerComments{
            Method: "SetEnabled",
            Router: `/enabled/set`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ChartPermissionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ChartPermissionController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ChartPermissionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ChartPermissionController"],
        beego.ControllerComments{
            Method: "Move",
            Router: `/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ClassifyController"],
        beego.ControllerComments{
            Method: "ListClassify",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ClassifyController"],
        beego.ControllerComments{
            Method: "ClassifyPermission",
            Router: `/permission_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:CompanyPermissionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:CompanyPermissionController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/permission/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:CompanyPermissionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:CompanyPermissionController"],
        beego.ControllerComments{
            Method: "PermissionVariety",
            Router: `/permission/variety`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:CompanySellerController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:CompanySellerController"],
        beego.ControllerComments{
            Method: "CheckListV2",
            Router: `/seller/check/listV2`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:MessageController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:MessageController"],
        beego.ControllerComments{
            Method: "UnReadMessageNum",
            Router: `/unread/num`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PdfToImgCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PdfToImgCommonController"],
        beego.ControllerComments{
            Method: "PdfToImgConvert",
            Router: `/convert`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptCommonController"],
        beego.ControllerComments{
            Method: "Download",
            Router: `/download`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptCommonController"],
        beego.ControllerComments{
            Method: "Downloadpptx",
            Router: `/downloadpptx`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"],
        beego.ControllerComments{
            Method: "AddPpt",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"],
        beego.ControllerComments{
            Method: "AddPptPages",
            Router: `/addPptPages`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"],
        beego.ControllerComments{
            Method: "DeletePpt",
            Router: `/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"],
        beego.ControllerComments{
            Method: "DetailPpt",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"],
        beego.ControllerComments{
            Method: "EditPpt",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"],
        beego.ControllerComments{
            Method: "GetImages",
            Router: `/getImages`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"],
        beego.ControllerComments{
            Method: "ListPpt",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishCommonController"],
        beego.ControllerComments{
            Method: "DownloadPptx",
            Router: `/downloadpptx`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "AddPpt",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "GetConfig",
            Router: `/config`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "DeletePpt",
            Router: `/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "DetailPpt",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "EditPpt",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "Grant",
            Router: `/grant`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "CancelGrant",
            Router: `/grant/cancel`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "GrantInfo",
            Router: `/grant/info`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "ListPpt",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "Publish",
            Router: `/publish`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "SaveLog",
            Router: `/saveLog`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "CopyPpt",
            Router: `/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "GrantPptList",
            Router: `/grant/ppt/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "AddGroup",
            Router: `/group/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "CopyGroup",
            Router: `/group/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "DeleteGroup",
            Router: `/group/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "MoveGroup",
            Router: `/group/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "GroupNameList",
            Router: `/group/name`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "GroupPptList",
            Router: `/group/ppt/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "SearchGroupPptList",
            Router: `/group/ppt/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "RenameGroup",
            Router: `/group/rename`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "ShareGroup",
            Router: `/group/share`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "GroupList",
            Router: `/groups`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "MoveGroupPpt",
            Router: `/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "PptList",
            Router: `/ppt/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "SharePpt",
            Router: `/share`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "SharePptList",
            Router: `/share/ppt/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2CommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2CommonController"],
        beego.ControllerComments{
            Method: "DownloadPptx",
            Router: `/downloadpptx`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "AddPpt",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "BatchToEn",
            Router: `/batchToEn`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "GetConfig",
            Router: `/config`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "DeletePpt",
            Router: `/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "DetailPpt",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "EditPpt",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "Grant",
            Router: `/grant`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "CancelGrant",
            Router: `/grant/cancel`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "GrantInfo",
            Router: `/grant/info`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "ListPpt",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "Publish",
            Router: `/publish`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "SaveLog",
            Router: `/saveLog`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "ToEn",
            Router: `/toEn`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "CopyPpt",
            Router: `/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "GrantPptList",
            Router: `/grant/ppt/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "AddGroup",
            Router: `/group/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "CopyGroup",
            Router: `/group/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "DeleteGroup",
            Router: `/group/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "MoveGroup",
            Router: `/group/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "GroupNameList",
            Router: `/group/name`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "GroupPptList",
            Router: `/group/ppt/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "SearchGroupPptList",
            Router: `/group/ppt/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "RenameGroup",
            Router: `/group/rename`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "ShareGroup",
            Router: `/group/share`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "GroupList",
            Router: `/groups`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "MoveGroupPpt",
            Router: `/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "PptList",
            Router: `/ppt/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "ListSearch",
            Router: `/ppt/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "SharePpt",
            Router: `/share`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "SharePptList",
            Router: `/share/ppt/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportChapterTypeController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportChapterTypeController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/chapter_type/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportChapterTypeController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportChapterTypeController"],
        beego.ControllerComments{
            Method: "AuthSetting",
            Router: `/chapter_type/auth_setting`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportChapterTypeController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportChapterTypeController"],
        beego.ControllerComments{
            Method: "Del",
            Router: `/chapter_type/del`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportChapterTypeController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportChapterTypeController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/chapter_type/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportChapterTypeController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportChapterTypeController"],
        beego.ControllerComments{
            Method: "SetEnabled",
            Router: `/chapter_type/enabled/set`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportChapterTypeController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportChapterTypeController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/chapter_type/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportChapterTypeController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportChapterTypeController"],
        beego.ControllerComments{
            Method: "Move",
            Router: `/chapter_type/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportChapterTypeController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportChapterTypeController"],
        beego.ControllerComments{
            Method: "PermissionList",
            Router: `/chapter_type/permission_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "CheckDayWeekReportChapterVideo",
            Router: `/CheckDayWeekReportChapterVideo`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "CancelApprove",
            Router: `/approve/cancel`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "SubmitApprove",
            Router: `/approve/submit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "Author",
            Router: `/author`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "AddChapter",
            Router: `/chapter/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "EditChapterBaseInfoAndPermission",
            Router: `/chapter/base_info/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "DelChapter",
            Router: `/chapter/del`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "ChapterMove",
            Router: `/chapter/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "EditChapterTitle",
            Router: `/chapter/title/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "GetUnPublishReportChapterList",
            Router: `/chapter/un_publish/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "VoiceUpload",
            Router: `/chapter/voice/upload`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "ClassifyIdDetail",
            Router: `/classifyIdDetail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "BaseDetail",
            Router: `/detail/base`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "EditChapterTrendTag",
            Router: `/editChapterTrendTag`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "EditDayWeekChapter",
            Router: `/editDayWeekChapter`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "EditDayWeekReport",
            Router: `/editDayWeekReport`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "GetChapterTrendTag",
            Router: `/getChapterTrendTag`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "GetDayReportTickerList",
            Router: `/getDayReportTickerList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "GetDayWeekChapter",
            Router: `/getDayWeekChapter`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "GetDayWeekReportChapterTypeList",
            Router: `/getDayWeekReportChapterTypeList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "GetDayWeekReportPauseTime",
            Router: `/getDayWeekReportPauseTime`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "GetDayWeekReportVideoList",
            Router: `/getDayWeekReportVideoList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "GetLastDayWeekReportChapter",
            Router: `/getLastDayWeekReportChapter`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "GetReportChapterList",
            Router: `/getReportChapterList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "GetStopDayWeekReportChapterTypeList",
            Router: `/getStopDayWeekReportChapterTypeList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "GetSunCode",
            Router: `/getSunCode`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "IsLastDayWeekReportChapter",
            Router: `/isLastDayWeekReportChapter`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "EditLayoutImg",
            Router: `/layout_img/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "ListReport",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "AuthorizedListReport",
            Router: `/list/authorized`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "MarkEditStatus",
            Router: `/mark`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "PrePublishReport",
            Router: `/pre_publish`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "PublishReport",
            Router: `/publish`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "PublishCancelReport",
            Router: `/publish/cancle`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "PublishDayWeekReport",
            Router: `/publishDayWeekReport`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "PublishDayWeekReportChapter",
            Router: `/publishDayWeekReportChapter`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "Export",
            Router: `/report_view_record/export`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "SaveReportContent",
            Router: `/saveReportContent`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "SendMsg",
            Router: `/sendMsg`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "SendTemplateMsg",
            Router: `/sendTemplateMsg`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "SetDayWeekReportEnableRule",
            Router: `/setDayWeekReportEnableUpdateRule`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "SetDayWeekReportUpdateRule",
            Router: `/setDayWeekReportUpdateRule`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "ThsSendTemplateMsg",
            Router: `/ths/sendTemplateMsg`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "Upload",
            Router: `/upload`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportUploadCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportUploadCommonController"],
        beego.ControllerComments{
            Method: "UploadImg",
            Router: `/uploadImg`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceAuthController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceAuthController"],
        beego.ControllerComments{
            Method: "FileDownload",
            Router: `/file/download`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"],
        beego.ControllerComments{
            Method: "Upload",
            Router: `/image/upload`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"],
        beego.ControllerComments{
            Method: "UploadV2",
            Router: `/image/uploadV2`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"],
        beego.ControllerComments{
            Method: "OssSTSToken",
            Router: `/oss/get_sts_token`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"],
        beego.ControllerComments{
            Method: "WechatWarning",
            Router: `/public/wechat_warning`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"],
        beego.ControllerComments{
            Method: "UploadImageBase64",
            Router: `/upload_image_base64`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"],
        beego.ControllerComments{
            Method: "VideoUpload",
            Router: `/video/upload`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"],
        beego.ControllerComments{
            Method: "VoiceUpload",
            Router: `/voice/upload`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysAdminController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysAdminController"],
        beego.ControllerComments{
            Method: "ConfigLanguage",
            Router: `/config/language`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysAdminController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysAdminController"],
        beego.ControllerComments{
            Method: "SetConfig",
            Router: `/sysuser/config/set`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysAdminController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysAdminController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/sysuser/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysDepartmentController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysDepartmentController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/department/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysDepartmentController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysDepartmentController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/department/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysDepartmentController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysDepartmentController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/department/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysDepartmentController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysDepartmentController"],
        beego.ControllerComments{
            Method: "ListDepartment",
            Router: `/department/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysDepartmentController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysDepartmentController"],
        beego.ControllerComments{
            Method: "DepartmentUserTree",
            Router: `/department/user_tree`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysMenuController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysMenuController"],
        beego.ControllerComments{
            Method: "SysMenuList",
            Router: `/menu/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysRoleController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysRoleController"],
        beego.ControllerComments{
            Method: "SystemConfig",
            Router: `/config`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysRoleController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysRoleController"],
        beego.ControllerComments{
            Method: "ButtonList",
            Router: `/role/menu/buttons`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysUserAuthController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysUserAuthController"],
        beego.ControllerComments{
            Method: "CheckPwd",
            Router: `/check_pwd`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysUserAuthController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysUserAuthController"],
        beego.ControllerComments{
            Method: "GetCrmAuthCode",
            Router: `/get_crm_auth_code`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysUserAuthController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysUserAuthController"],
        beego.ControllerComments{
            Method: "Logout",
            Router: `/logout`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysUserAuthController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysUserAuthController"],
        beego.ControllerComments{
            Method: "ModifyPwd",
            Router: `/modify/pwd`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysUserController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysUserController"],
        beego.ControllerComments{
            Method: "AuthCodeLogin",
            Router: `/auth_code_login`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysUserController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysUserController"],
        beego.ControllerComments{
            Method: "Login",
            Router: `/login`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysUserController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysUserController"],
        beego.ControllerComments{
            Method: "SystemConfig",
            Router: `/public_config`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysUserController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysUserController"],
        beego.ControllerComments{
            Method: "Uuid",
            Router: `/uuid`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetCommonController"],
        beego.ControllerComments{
            Method: "DataList",
            Router: `/dataList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetCommonController"],
        beego.ControllerComments{
            Method: "ExportLongzhong",
            Router: `/export/longzhong`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetCommonController"],
        beego.ControllerComments{
            Method: "ExportLongzhongPrice",
            Router: `/export/longzhong/price`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetCommonController"],
        beego.ControllerComments{
            Method: "ExportLongzhongSurvey",
            Router: `/export/longzhong/survey`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetCommonController"],
        beego.ControllerComments{
            Method: "EdbTemplateDownload",
            Router: `/target/template`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetCommonController"],
        beego.ControllerComments{
            Method: "TemplateDownload",
            Router: `/template`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "ClassifyList",
            Router: `/classify`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "DataAdd",
            Router: `/data/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "BatchDataDeleteByTradeCode",
            Router: `/data/batch_delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "BatchDataDeleteByDate",
            Router: `/data/batch_delete_by_date`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "BatchDataEdit",
            Router: `/data/batch_edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "DataCheck",
            Router: `/data/check`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "DataDelete",
            Router: `/data/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "DataEdit",
            Router: `/data/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "DataList",
            Router: `/data/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "ExportDataList",
            Router: `/export/dataList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "GetResearcher",
            Router: `/getResearcher`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "GetTargetItems",
            Router: `/getTargetItems`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "ImportData",
            Router: `/import/data`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "ImportFailListDownload",
            Router: `/import/failList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "ImportTargetFailListDownload",
            Router: `/import_target/failList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "TargetAdd",
            Router: `/target/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "TargetCheck",
            Router: `/target/check`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "TargetDelete",
            Router: `/target/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "TargetEdit",
            Router: `/target/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "ExcelDataAdd",
            Router: `/target/excel_style/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "ExcelDataEdit",
            Router: `/target/excel_style/edit`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "TargetFrequencyList",
            Router: `/target/frequency_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "ImportTarget",
            Router: `/target/import`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "TargetItemList",
            Router: `/target/item_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "TargetItemNameList",
            Router: `/target/item_name_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "TargetList",
            Router: `/target/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "TargetSearch",
            Router: `/target/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TargetController"],
        beego.ControllerComments{
            Method: "TargetUnitList",
            Router: `/target/unit_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "CffexDataList",
            Router: `/data/cffex`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "CoalMineClassify",
            Router: `/data/coalMineData/classify`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "CoalMineData",
            Router: `/data/coalMineData/data`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "CoalMineFrequency",
            Router: `/data/coalMineData/frequency`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "CoalSearchList",
            Router: `/data/coalMineData/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "CoalSingleData",
            Router: `/data/coalMineData/single_data`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "DalianDataList",
            Router: `/data/dalian`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "EicContinentList",
            Router: `/data/eicContinent`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "EicContinentListV2",
            Router: `/data/eicContinentV2`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "EicDataList",
            Router: `/data/eicData`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "EicDataV2",
            Router: `/data/eicDataV2`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "EicHistoryData",
            Router: `/data/eicHistoryData`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "EicHistoryDataV2",
            Router: `/data/eicHistoryDataV2`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "EicLatestDate",
            Router: `/data/eicLatestDate`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "EicLatestDateV2",
            Router: `/data/eicLatestDateV2`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "EicDataListV2",
            Router: `/data/eicSSODataV2`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "ExchangeClassify",
            Router: `/data/exchange/classify`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "ExchangeClassifyContract",
            Router: `/data/exchange/classifyContract`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "IneDataList",
            Router: `/data/ine`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "MtjhClassify",
            Router: `/data/mtjh/classify`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "MtjhData",
            Router: `/data/mtjh/data`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "MtjhFrequency",
            Router: `/data/mtjh/frequency`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "MtjhSearchList",
            Router: `/data/mtjh/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "MtjhSingleData",
            Router: `/data/mtjh/single_data`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "ShfeDataList",
            Router: `/data/shfe`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "ZhengzhouDataList",
            Router: `/data/zhengzhou`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "ExportCoalList",
            Router: `/export/coalList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "ExportMtjhList",
            Router: `/export/mtjh`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"],
        beego.ControllerComments{
            Method: "AreaCodeList",
            Router: `/area_code/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"],
        beego.ControllerComments{
            Method: "BaseInfo",
            Router: `/base_info`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"],
        beego.ControllerComments{
            Method: "ForgetAccountGet",
            Router: `/forget/account_get`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"],
        beego.ControllerComments{
            Method: "ForgetCodeVerify",
            Router: `/forget/code_verify`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"],
        beego.ControllerComments{
            Method: "ForgetResetPass",
            Router: `/forget/reset_pass`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"],
        beego.ControllerComments{
            Method: "GenerateCaptcha",
            Router: `/get_captcha`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"],
        beego.ControllerComments{
            Method: "CheckUserLdap",
            Router: `/ldap/user_check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"],
        beego.ControllerComments{
            Method: "Login",
            Router: `/login`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"],
        beego.ControllerComments{
            Method: "GetVerifyCode",
            Router: `/verify_code`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:VarietyTagController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:VarietyTagController"],
        beego.ControllerComments{
            Method: "TagTree",
            Router: `/variety_tag/tag_tree`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:VoiceCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:VoiceCommonController"],
        beego.ControllerComments{
            Method: "Download",
            Router: `/download`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:VoiceCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:VoiceCommonController"],
        beego.ControllerComments{
            Method: "ReportChapterDownload",
            Router: `/report/download`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:VoiceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:VoiceController"],
        beego.ControllerComments{
            Method: "Upload",
            Router: `/upload`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
